using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid.Grouping;

namespace GGCROwHeight
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.gridGroupingControl1.DataSource = GetParentTable();
            this.gridGroupingControl1.ShowGroupDropArea = true;
            this.gridGroupingControl1.TableControlDrawCell += new Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlDrawCellEventHandler(gridGroupingControl1_TableControlDrawCell);
        }

        void gridGroupingControl1_TableControlDrawCell(object sender, Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlDrawCellEventArgs e)
        {
            GridTableCellStyleInfo style = e.Inner.Style as GridTableCellStyleInfo;
            if (style.TableCellIdentity.TableCellType == GridTableCellType.GroupCaptionCell)
            {
                e.Inner.Cancel = true;

                Rectangle LRect = new Rectangle(e.Inner.Bounds.X, e.Inner.Bounds.Y, e.Inner.Bounds.Width / 4, e.Inner.Bounds.Height);
                string HeaderText = e.Inner.Style.Text;
                e.Inner.Style.Text = String.Empty;
                e.Inner.Renderer.Draw(e.Inner.Graphics, LRect, e.Inner.RowIndex, e.Inner.ColIndex, e.Inner.Style);
                
                e.Inner.Style.Text = HeaderText;
                Rectangle RRect = new Rectangle(e.Inner.Bounds.X + e.Inner.Bounds.Width / 4, e.Inner.Bounds.Y, e.Inner.Bounds.Width / 4 - 1, e.Inner.Bounds.Height);
                e.Inner.Renderer.Draw(e.Inner.Graphics, RRect, e.Inner.RowIndex, e.Inner.ColIndex, e.Inner.Style);
            }
        }
   

        private int numberParentRows = 5;
        private int numberChildRows = 20;

        private DataTable GetParentTable()
        {
            DataTable dt = new DataTable("ParentTable");


            dt.Columns.Add(new DataColumn("parentID")); //lower case p
            dt.Columns.Add(new DataColumn("ParentName"));
            dt.Columns.Add(new DataColumn("ParentDec"));


            for (int i = 0; i < 5; i++)
                dt.Columns.Add();
            dt.Columns.Add(new DataColumn("Date", typeof(DateTime)));
            for (int i = 0; i < numberParentRows; ++i)
            {
                DataRow dr = dt.NewRow();
                dr[0] = i;//.ToString();
                dr[1] = string.Format("parentName{0}", i);
                dr[2] = string.Format("desc{0}", i);
                for (int j = 3; j < 7; j++)
                {
                    dr[j] = "Column" + j;
                }
                dr[8] = DateTime.Now;
                dt.Rows.Add(dr);
            }

            return dt;
        }

    }
}